
#ifndef PDCOM5_GNUTLS_EXPORT_H
#define PDCOM5_GNUTLS_EXPORT_H

#ifdef PDCOM5_GNUTLS_STATIC_DEFINE
#  define PDCOM5_GNUTLS_EXPORT
#  define PDCOM5_GNUTLS_NO_EXPORT
#else
#  ifndef PDCOM5_GNUTLS_EXPORT
#    ifdef pdcom5_gnutls_EXPORTS
        /* We are building this library */
#      define PDCOM5_GNUTLS_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define PDCOM5_GNUTLS_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef PDCOM5_GNUTLS_NO_EXPORT
#    define PDCOM5_GNUTLS_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef PDCOM5_GNUTLS_DEPRECATED
#  define PDCOM5_GNUTLS_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef PDCOM5_GNUTLS_DEPRECATED_EXPORT
#  define PDCOM5_GNUTLS_DEPRECATED_EXPORT PDCOM5_GNUTLS_EXPORT PDCOM5_GNUTLS_DEPRECATED
#endif

#ifndef PDCOM5_GNUTLS_DEPRECATED_NO_EXPORT
#  define PDCOM5_GNUTLS_DEPRECATED_NO_EXPORT PDCOM5_GNUTLS_NO_EXPORT PDCOM5_GNUTLS_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef PDCOM5_GNUTLS_NO_DEPRECATED
#    define PDCOM5_GNUTLS_NO_DEPRECATED
#  endif
#endif

#endif /* PDCOM5_GNUTLS_EXPORT_H */
