
#ifndef PDCOM5_SASL_EXPORT_H
#define PDCOM5_SASL_EXPORT_H

#ifdef PDCOM5_SASL_STATIC_DEFINE
#  define PDCOM5_SASL_EXPORT
#  define PDCOM5_SASL_NO_EXPORT
#else
#  ifndef PDCOM5_SASL_EXPORT
#    ifdef pdcom5_sasl_EXPORTS
        /* We are building this library */
#      define PDCOM5_SASL_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define PDCOM5_SASL_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef PDCOM5_SASL_NO_EXPORT
#    define PDCOM5_SASL_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef PDCOM5_SASL_DEPRECATED
#  define PDCOM5_SASL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef PDCOM5_SASL_DEPRECATED_EXPORT
#  define PDCOM5_SASL_DEPRECATED_EXPORT PDCOM5_SASL_EXPORT PDCOM5_SASL_DEPRECATED
#endif

#ifndef PDCOM5_SASL_DEPRECATED_NO_EXPORT
#  define PDCOM5_SASL_DEPRECATED_NO_EXPORT PDCOM5_SASL_NO_EXPORT PDCOM5_SASL_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef PDCOM5_SASL_NO_DEPRECATED
#    define PDCOM5_SASL_NO_DEPRECATED
#  endif
#endif

#endif /* PDCOM5_SASL_EXPORT_H */
