
#ifndef PDCOM5_PUBLIC_H
#define PDCOM5_PUBLIC_H

#ifdef PDCOM5_STATIC_DEFINE
#  define PDCOM5_PUBLIC
#  define PDCOM5_LOCAL
#else
#  ifndef PDCOM5_PUBLIC
#    ifdef pdcom5_EXPORTS
        /* We are building this library */
#      define PDCOM5_PUBLIC __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define PDCOM5_PUBLIC __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef PDCOM5_LOCAL
#    define PDCOM5_LOCAL __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef PDCOM5_DEPRECATED
#  define PDCOM5_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef PDCOM5_DEPRECATED_EXPORT
#  define PDCOM5_DEPRECATED_EXPORT PDCOM5_PUBLIC PDCOM5_DEPRECATED
#endif

#ifndef PDCOM5_DEPRECATED_NO_EXPORT
#  define PDCOM5_DEPRECATED_NO_EXPORT PDCOM5_LOCAL PDCOM5_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef PDCOM5_NO_DEPRECATED
#    define PDCOM5_NO_DEPRECATED
#  endif
#endif

#endif /* PDCOM5_PUBLIC_H */
